Debian Bug report logs - #71768
setkeycodes completely broken

version graph

Package: console-tools; Maintainer for console-tools is Alastair McKinstry <mckinstry@debian.org>; Source for console-tools is src:console-tools.

Reported by: amohr@codeweavers.com

Date: Sat, 16 Sep 2000 02:03:38 UTC

Severity: normal

Found in version 1:0.2.3-10.3

Done: Alastair McKinstry <mckinstry@computer.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Yann Dirson <dirson@debian.org>:
Bug#71768; Package console-tools. Full text and rfc822 format available.

Acknowledgement sent to amohr@codeweavers.com:
New Bug report received and forwarded. Copy sent to Yann Dirson <dirson@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Mohr <a.mohr@mailto.de>
To: submit@bugs.debian.org
Subject: setkeycodes completely broken
Date: Fri, 15 Sep 2000 20:41:37 +0000
Package: console-tools
Version: 1:0.2.3-10.3

setkeycodes is COMPLETELY broken.
(e.g. when used with setkeycodes e05f 81 -> getkeycodes doesn't show result)

It has problems with handling cmdline arguments, preventing it
from entering the main cmdline checking loop and calling ioctl():
amohr:/usr/src/system/console-tools-0.2.3/kbdtools# ./setkeycodes e05f 87
argc: 3, optind: 1

    fprintf(stderr, "argc: %d, optind: %d\n", argc, optind);
  while ( (argc - optind)  > 2)


The ioctl() doesn't get called, too, as it exits long before that.
(checked in source package)

IMO it should at least output a message that it sets the keycodes
at the moment the ioctl() gets called.

Please contact the authors, as 2.3 seems to be the newest "stable" (haha)
version.

Thank you very much !

Andreas Mohr



Information forwarded to debian-bugs-dist@lists.debian.org, Yann Dirson <dirson@debian.org>:
Bug#71768; Package console-tools. Full text and rfc822 format available.

Acknowledgement sent to John Dalbec <jdalbec@cboss.com>:
Extra info received and forwarded to list. Copy sent to Yann Dirson <dirson@debian.org>. Full text and rfc822 format available.

Message #10 received at 71768@bugs.debian.org (full text, mbox):

From: John Dalbec <jdalbec@cboss.com>
To: 71768@bugs.debian.org
Subject: Fencepost and workaround
Date: Wed, 03 Jan 2001 23:38:00 -0500
As you probably noticed, the "> 2" should be ">= 2".
An easy workaround is to type "setkeycodes e05f 87 dummy dummy" or similar.
John



Information forwarded to debian-bugs-dist@lists.debian.org, Wartan Hachaturow <wart@debian.org>, console-tools@packages.qa.debian.org:
Bug#71768; Package console-tools. Full text and rfc822 format available.

Acknowledgement sent to Alastair McKinstry <mckinstry@computer.org>:
Extra info received and forwarded to list. Copy sent to Wartan Hachaturow <wart@debian.org>, console-tools@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 71768@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <mckinstry@computer.org>
To: 71768@bugs.debian.org
Subject: Closed; no longer occurs
Date: Mon, 26 Aug 2002 15:57:47 +0100
Bug already fixed in 0.2.3-23.*

Regards,
Alastair McKinstry <mckinstry@computer.org>




Bug closed, send any further explanations to amohr@codeweavers.com Request was from Alastair McKinstry <mckinstry@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:20:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.